[Swift-commit] r4539 - SwiftApps/Montage/exec
jonmon at ci.uchicago.edu
jonmon at ci.uchicago.edu
Wed Jun 1 11:41:33 CDT 2011
Author: jonmon
Date: 2011-06-01 11:41:33 -0500 (Wed, 01 Jun 2011)
New Revision: 4539
Modified:
SwiftApps/Montage/exec/montage.sh
Log:
o SwiftApps/Montage/exec/montage.sh
-- The run script now checks to make sure that the SWIFT_MONTAGE environment variable is set
Modified: SwiftApps/Montage/exec/montage.sh
===================================================================
--- SwiftApps/Montage/exec/montage.sh 2011-06-01 16:19:18 UTC (rev 4538)
+++ SwiftApps/Montage/exec/montage.sh 2011-06-01 16:41:33 UTC (rev 4539)
@@ -8,6 +8,12 @@
exit 1
fi
+# Fix this. Not sure how to set this variable if it not set or even what the error message should be
+if [ "X$SWIFT_MONTAGE" == "X" ]; then
+ echo "Please set the SWIFT_MONTAGE environment variable to where the Swift_Montage wrappers home directory is."
+ exit 1
+fi
+
RUN_DIRECTORY=(`ls | grep run | tail -n 1`)
NUM=`echo $RUN_DIRECTORY | awk -F . '{print $NF}'`
WORK_DIRECTORY=(`printf "run.%04d" $((NUM+1))`)
@@ -36,10 +42,20 @@
echo "#site local.xml work=/gpfs/pads/jonmon/Swift/work/local" >> sites.properties
echo "<config>" > sites.xml
+echo "" >> sites.xml
+
gensites -L ${SWIFT_MONTAGE}/templates -p sites.properties pads-proj-coasters.xml >> sites.xml
+echo "" >> sites.xml
+
gensites -L ${SWIFT_MONTAGE}/templates -p sites.properties pads-diff-coasters.xml >> sites.xml
+echo "" >> sites.xml
+
gensites -L ${SWIFT_MONTAGE}/templates -p sites.properties pads-fit-coasters.xml >> sites.xml
+echo "" >> sites.xml
+
gensites -L ${SWIFT_MONTAGE}/templates -p sites.properties local.xml >> sites.xml
+echo "" >> sites.xml
+
echo "</config>" >> sites.xml
rm -f sites.properties
More information about the Swift-commit
mailing list